osl::rating::KaranariGroup Struct Reference

`#include <group.h>`

Inheritance diagram for osl::rating::KaranariGroup:

## Public Member Functions

| KaranariGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 175 of file group.h.

## Constructor & Destructor Documentation

## KaranariGroup()

osl::rating::KaranariGroup::KaranariGroup | ( |  | ) |

Definition at line 183 of file group.cc.

References osl::rating::Group::Group().

## Member Function Documentation

## findMatch()

int osl::rating::KaranariGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 191 of file group.cc.

References osl::rating::Karanari::index().

## show()

void osl::rating::KaranariGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 178 of file group.h.

References osl::rating::Group::showAll().

The documentation for this struct was generated from the following files:

- group.h
- group.cc